[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="\"From\" \u30a2\u30c9\u30ec\u30b9\u306e\u66f8\u304d\u63db\u3048\u30b9\u30bf\u30a4\u30eb:";
	.rewritestyle.labels=["\"john doe\"<jdoe@example.com>","jdoe@example.com (John Doe)","jdoe@example.com","\u30a2\u30c9\u30ec\u30b9\u3092\u66f8\u304d\u76f4\u3055\u306a\u3044"];
	.rewrite.text="\u53d7\u53d6\u4eba\u306e LDAP \u30a8\u30f3\u30c8\u30ea\u306e\u5c5e\u6027\u306b\u5f93\u3063\u3066 SMTP \u30a8\u30f3\u30d9\u30ed\u30fc\u30d7\u30a2\u30c9\u30ec\u30b9\u3092\u66f8\u304d\u76f4\u3057:";
	.rewrite.1.text="mailRoutingAddress \u5c5e\u6027\u3092\u4f7f\u7528";
	.rewrite.2.text="UID \u3092 mailHost \u5c5e\u6027\u306b\u7d50\u5408";
	.rewrite.4.text="\u30a2\u30c9\u30ec\u30b9\u306e\u30ed\u30fc\u30ab\u30eb\u90e8\u5206\u3092 mailHost \u5c5e\u6027\u306b\u7d50\u5408";
	.fallback.text="\u6307\u5b9a\u306e\u96fb\u5b50\u30e1\u30fc\u30eb\u30a2\u30c9\u30ec\u30b9\u3092\u6301\u3064 LDAP \u30a8\u30f3\u30c8\u30ea\u3092\u30b5\u30fc\u30d0\u30fc\u3067\u691c\u7d22\u3067\u304d\u306a\u3044\u5834\u5408\u306f\u3001\u9078\u629e\u3055\u308c\u305f\u65b9\u6cd5\u3067\u518d\u691c\u7d22\u3057\u3066\u304f\u3060\u3055\u3044\u3002";
	.fallback.1.text="\u30ab\u30b9\u30bf\u30e0\u30c9\u30e1\u30a4\u30f3\u306e\u691c\u7d22";
	.fallback.2.text="\u7701\u7565\u5f62\u5f0f\u306e\u30c9\u30e1\u30a4\u30f3 (\u30ed\u30fc\u30ab\u30eb\u306e\u5834\u5408\u306f\u30db\u30b9\u30c8\u90e8\u5206\u3092\u7701\u7565\u3057\u305f\u5f62\u5f0f) \u306b\u3088\u308b\u691c\u7d22";
	.fallback.4.text="\u30e6\u30fc\u30b6\u30fc ID (UID) \u306b\u3088\u308b\u691c\u7d22";
	.routing.header="SMTP \u30eb\u30fc\u30c6\u30a3\u30f3\u30b0\u30c6\u30fc\u30d6\u30eb:";
	.delimiter="$";
	.addentry.title="SMTP \u30eb\u30fc\u30c6\u30a3\u30f3\u30b0\u30a8\u30f3\u30c8\u30ea";
	.editentry.title="SMTP \u30eb\u30fc\u30c6\u30a3\u30f3\u30b0\u30a8\u30f3\u30c8\u30ea";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\u30e6\u30fc\u30b6\u30fc ID (UID) \u306b\u3088\u308b\u691c\u7d22";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="\u30eb\u30fc\u30c6\u30a3\u30f3\u30b0\u30c6\u30fc\u30d6\u30eb\u30a8\u30f3\u30c8\u30ea:";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
